Subject: Re: Re: [1.5.5] perl stuff building
From: "dominix" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 19 Dec 2003 08:24:59 -1000

{let forgive my backup issue}
I completely understand what you mean, but I consider a community can help
by itself, I really mean : "for some case I could help some perl
fanatic^H^H^H passionate regarding cygwin issue", but it became
impossible^H^H^H painfull regarding the dailly traffic on cygwin ML.
I've gotten a lot of help from gerrit P.A. a few _years_ ago on this ML
so I propose a specific ML as a starting point. At least it would help
cygwin{perl fanatics} users, like you and me, (not so bad as a starting
point) at best, in a possible future, it would help maintainers and
authors.let's just free the potential.

-- 
dominix

[email-masked] wrote:
> There is no downgrade possiblity beyond *your own* backups. The
> archives have hundreds of messages dealing with the whys and whatfors
> of this. Unsatisfying to be sure, but you wanted to know! As a perl
> fanatic myself I can definitely sympathize with your plight. However,
> I have to defend the core cygwin contributors here. There are 5634
> perl modules on CPAN at this moment. My guess is that there is less
> than a dozen cygwin core developers that care enough about
> cygwin/perl to spend any significant time testing, patching
> cygwin/perl specific issues. I am not one of them though my hat is
> off to them. It's defintely a USE AT YOUR RISK undertaking and will
> be in all for likelyhood for years to come. Until more perl/cygwin
> crossovers join in the community effort, proceed with CAUTION.
>
> Brian Kelly
>
>
>
>
>
> dominix <[email-masked]>@cygwin.com on 12/18/2003 07:20:25 PM
>
> Sent by:    [email-masked]
>
>
> To:    [email-masked]
> cc:     (bcc: Brian Kelly/WTC1/Empire)
>
> Subject:    [1.5.5] perl stuff building
>
>
> using perl with cygwin is a must for me in a way it allow testing for
> platforms dep's, but it become a real pain when there is major
> upgrades. while upgrading from perl-5.8.0 to 5.8.2 I've lost Tk and
> mod_perl functionality.
> just that :-(
> so there is questions that comes up now for what to do from now and
> then, that would helps (me at least) to avoid such functionality
> losing.
>
> Is there downgrade possibility ? (I have no backup off perl-5.8.0
> package and can't find it on the net) I could rebuild it but that's
> too long job : -\
> ... we can stand as a guideline
>     *do not upgrade until you have backup*
>     ... that seems obvious but ... hey ! I know, mea culpa.
>
> Do I have links thats help to rebuild these packages ? it was a real
> pain to
> get them to works at first. (too many possibility for me) and diging
> the cygwin ML become a full time job.
> Finally do we have the ability to know if Tk or mod_perl are able to
> build on next dist.packages of perl/cygwin. (like CPAN/TEST or so).
> may be some specific version of apache, or some libs required ...
> could I know _before_ installing what are the setting used to build
> some software.
> perl -V report different setting from 5.8.0 to 5.8.2. it could help
> to know (and nice to chose) if there is support for threads, binary
> compat and so on
> ...
>
> Cygwin port's are essential for complete range of test, so I'll find
> a way out, but it would be smart to upgrade everything at once, and
> have resource to talk about these specific problems. So as a starting
> point to help the perl/cygwin community _if the is some_ we could
> start the perl/cygwin mailing list. (or is there already one ???) in
> which everyone could provide feedback to porters or modules author,
> cause I thing there is a lot of perl/related things that do not fit
> well with this [high volume] specific ML.
>
> --
> dominix

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/